org.apache.lucene.util.automaton

## Class ByteRunAutomaton

- java.lang.Object
- - org.apache.lucene.util.automaton.RunAutomaton
  - - org.apache.lucene.util.automaton.ByteRunAutomaton

-     public class ByteRunAutomaton
      extends RunAutomaton

  Automaton representation for matching UTF-8 byte[].

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ByteRunAutomaton(Automaton a)`
    `ByteRunAutomaton(Automaton a, boolean utf8)` expert: if utf8 is true, the input is already byte-based

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `run(byte[] s, int offset, int length)` Returns true if the given byte array is accepted by this automaton

    - ### Methods inherited from class org.apache.lucene.util.automaton.RunAutomaton

      `getCharIntervals, getInitialState, getSize, isAccept, step, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ByteRunAutomaton

          public ByteRunAutomaton(Automaton a)

    - #### ByteRunAutomaton

          public ByteRunAutomaton(Automaton a,
                          boolean utf8)

      expert: if utf8 is true, the input is already byte-based

  - ### Method Detail

    - #### run

          public boolean run(byte[] s,
                    int offset,
                    int length)

      Returns true if the given byte array is accepted by this automaton

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.